From 6fdcbb189400bd053bdd45a25f93f6f55754b7cc Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Thu, 4 Feb 2021 10:37:24 +1100
Subject: [PATCH v2] Fix tablesync comment typo

---
 src/backend/replication/logical/tablesync.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/src/backend/replication/logical/tablesync.c b/src/backend/replication/logical/tablesync.c
index a18f847..cc7cc0f 100644
--- a/src/backend/replication/logical/tablesync.c
+++ b/src/backend/replication/logical/tablesync.c
@@ -52,9 +52,8 @@
  *	  CATCHUP -> SYNCDONE -> READY.
  *
  *	  The catalog pg_subscription_rel is used to keep information about
- *	  subscribed tables and their state.  Some transient state during data
- *	  synchronization is kept in shared memory.  The states SYNCWAIT and
- *	  CATCHUP only appear in memory.
+ *	  subscribed tables and their state. The catalog holds all states
+ *	  except SYNCWAIT and CATCHUP which are only in shared memory.
  *
  *	  Example flows look like this:
  *	   - Apply is in front:
-- 
1.8.3.1

